Bug 304325 - tabbar height increases when new tabs are opened
Summary: tabbar height increases when new tabs are opened
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Applications
Component: general (show other bugs)
Version: latest git snapshot
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: 2.0
Assignee: Yoann Laissus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-31 11:35 UTC by sahinsureyya
Modified: 2012-08-14 16:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
rekonq snapshat (with increasing tabbar height) (383.32 KB, image/png)
2012-07-31 16:31 UTC, sahinsureyya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sahinsureyya 2012-07-31 11:35:40 UTC
The tabbar of the rekonq does not preserve its height when more than a certain amount of tabs are opened. While a double arrow is showing up after tabs wouldn't fit to the tabbar, if you continue opening new tabs, you will realize that the height of the tabbar increases with every new tab you are opening.

Reproducible: Always

Steps to Reproduce:
1. Open rekonq
2. Start opening new tabs. Continue opening until the double arrow in the tabbar appears.
3. Continue opening new tabs afterwards
Actual Results:  
With every new tab opening after the double arrow appears, you will realize that the height of the tabbar increases and occupy more vertical space.

Expected Results:  
I would expect that the tabbar would preserve its height no matter how many tabs I open.
Comment 1 Andrea Diamantini 2012-07-31 15:39:39 UTC
it does NOT happen here. Screenshot or video, please.
Comment 2 sahinsureyya 2012-07-31 16:31:48 UTC
Created attachment 72854 [details]
rekonq snapshat (with increasing tabbar height)

The problem may be related to the bespin theme I am using on my desktop (I am not using the oxygen theme). I changed the style to oxygen and rekonq worked normally, without changing the height of the tabbar.
Comment 3 Yoann Laissus 2012-08-04 14:08:56 UTC
Thanks for reporting that.

Indeed, this bug appears only with the bespin theme.
But my recent work on the tab bar to fix some other issues seems to fix this one too.
Comment 4 Andrea Diamantini 2012-08-14 16:07:56 UTC
Git commit 604a10c4fc3e927e0e3265dc37e163366e00cd86 by Andrea Diamantini, on behalf of Yoann Laissus.
Committed on 05/08/2012 at 14:22.
Pushed by adjam into branch 'master'.

* Split updateTabBar() into two separate methods
	- updateTabBarVisibility(): used to react only on "alwaysShowTabBar" settings
	- updateAddTabButton(): used to react only on tabbar changes

* Improve handling of the add tab button. updateAddTabButton() is now called on any
  tab layout changed instead of being called in any function which manipulate tabs.

* Use a tab height computed with KTabBar instead of the add tab button height with a magical number.
  It fixes some issues with the Bespin theme.

M  +1    -1    src/application.cpp
M  +14   -22   src/mainview.cpp
M  +2    -9    src/mainview.h
M  +8    -1    src/tabbar.cpp
M  +2    -0    src/tabbar.h

http://commits.kde.org/rekonq/604a10c4fc3e927e0e3265dc37e163366e00cd86